feof
fgetc
Filesystem Functions
PHP Manual

# fflush

(PHP 4 >= 4.0.1, PHP 5, PHP 7)

fflush — Flushes the output to a file

### Description

bool fflush ( resource `$handle` )

This function forces a write of all buffered output to the resource pointed to by the file `handle`.

### Parameters

`handle`

  The file pointer must be valid, and must point to a file successfully opened by fopen() or fsockopen() (and not yet closed by fclose()).

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 File write example using fflush()

`<?php
$filename = 'bar.txt';
$file = fopen($filename, 'r+');
rewind($file);
fwrite($file, 'Foo');
fflush($file);
ftruncate($file, ftell($file));
fclose($file);
?>`

### See Also

- clearstatcache() - Clears file status cache
- fwrite() - Binary-safe file write

feof
fgetc
Filesystem Functions
PHP Manual